
Smart Proxy - Refactor #26979

Remove ruby 1.x compatiblity code

06/06/2019 02:36 PM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: Core   

Target version: 1.23.0   

Difficulty:  Fixed in Releases: 1.23.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/654,

https://github.com/theforeman/smart-pro

xy/pull/660

  

Description

We no longer support running on Ruby 1.x so we can remove the workarounds.

Associated revisions

Revision bf476d0a - 06/13/2019 01:55 PM - Ewoud Kohl van Wijngaarden

Fixes #26979 - Remove Ruby 1.x compatibility code

Revision 75589996 - 06/14/2019 07:01 AM - Ewoud Kohl van Wijngaarden

Refs #26979 - Remove left over require

bf476d0ad900e36f25865592538942a4b91610ad removed lib/daemon.rb since

it only contained Ruby 1.x compatibility but left the require causing it

to fail to start up.

Revision 862776b4 - 06/14/2019 07:01 AM - Ewoud Kohl van Wijngaarden

Refs #26979 - Require at least rack 1.3

This removes a workaround for an ancient rack version. EPEL7 contains

rack 1.6.4 so this should be safe.

Revision 403b79f9 - 06/14/2019 07:01 AM - Ewoud Kohl van Wijngaarden

Refs #26979 - Remove old platforms

History

#1 - 06/06/2019 02:38 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/smart-proxy/pull/654 added

#2 - 06/13/2019 01:56 PM - Tomer Brisker

- Fixed in Releases 1.23.0 added

#3 - 06/13/2019 02:01 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset bf476d0ad900e36f25865592538942a4b91610ad.

#4 - 06/14/2019 06:23 AM - The Foreman Bot

05/18/2024 1/2

https://projects.theforeman.org/projects/smart-proxy/repository/7/revisions/bf476d0ad900e36f25865592538942a4b91610ad


- Pull request https://github.com/theforeman/smart-proxy/pull/660 added
